Skip to main content
Retrieve an item (Source, Visual, Reports, or Dashboard) by its type and Id

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

type
enum<string>
required
Available options:
DASHBOARD,
REPORT,
VISUAL,
SOURCE
id
string
required

Response

Item with given id and type retrieved successfully

Item included in inventory

inventoryItemId
string
accountId
string
originId
string
type
enum<string>
Available options:
DASHBOARD,
REPORT,
VISUAL,
SOURCE
associatedItems
object[]
tags
string[]
name
string
description
string
favorite
boolean
favoriteId
string
deprecated
modifiedDate
string<date-time>
creatorName
string
creatorFullName
string
creatorId
string
permissions
enum<string>[]

Granted permissions

Available options:
READ,
WRITE,
DELETE,
DATA_ACCESS,
COMMENT,
CREATE,
ADMINISTER
typeName
string
deprecated